Page 21 of 30

Re: ETS2 1.40 speculation thread

Posted: 25 Dec 2020 14:46
by xXCARL1992Xx
Vulkan is only supported by GPUs that are capable of OpenGL 4 and OpenGL ES 3.1, and just because your GPU can do this doesnt mean it will automatically support Vulkan, it needs drivers for it and if there is no new driver even these cards are not Vulkan supported

also Vulkan wont make porting to consoles easier, Xbox uses DX12, so this is a given to use DX, PS uses an amalgamation from everything and is its own soup, Vulkan wont help much, so you would have another API again just to use it on a PlayStation console, where the PC and Xbox use the same API

Re: ETS2 1.40 speculation thread

Posted: 25 Dec 2020 14:49
by Some newbie driver
If the card supports it the drivers need isn't an issue. SCS could include the Vulkan runtime redistributable as they wish.

And as I said, if that will ever happens it will still be some years in the future. For then, SCS could perfectly update the minimum specs for the new versions as they did on the past

Re: ETS2 1.40 speculation thread

Posted: 25 Dec 2020 14:52
by xXCARL1992Xx
no, the GPU needs a driver for Vulkan support, SCS cant do anything for it, the GPU vendor has to do it to make the GPU Vulkan compatible if it support at least OGL 4, SCS will sure as hell not work on some driver additions just to make old GPUs support their game, newer GPUs dont need it, but older ones do need it

the GTS 450 supports OGL 4 but it doesnt support Vulkan because Nvidia never released drivers for it

at least Vulkan 1.2 is not supported, the version SCS would use if they do the switch

Re: ETS2 1.40 speculation thread

Posted: 25 Dec 2020 20:37
by Some newbie driver
You are right, I checked it again and the runtime is installed on the GPU driver side and not by games that would need it. My fault to talk by memory.

Anyways, I would keep my main point. That's something that, if happens, it will be some years in the future. Once that day arrive, SCS would perfectly be changing the minimum requirements to a GPU that supports Vulkan like they changed the requirements back in time for a GPU supporting DX11 even DX9 was still the main API in the game.

NVidia currently supports that Vulkan 1.2 even on GT630, that it's a card released 6 months before ETS2 was released. If we would had Vulkan API released in 2022 for this game, that would mean that SCS would be requesting to play a graphic card 10 years old at that moment. If somebody can't even purchase a ultra-cheap fourth-hand 10 years old GPU to keep playing the game it would still have an alternative: remain playing on the previous version. So, sincerely, the last should concern SCS is that kind of minimum specs arrived the time to that change.

Because one thing is to care about customers with old computers (and they do care) and a different thing is to keep anchoring the game in the past because those players. No game still on live support and development should never be anchored by a hardware older than 10 years. We talked about the same when they dumped DX9. You know some people complained and it was useless because nobody could expect SCS keep supporting on 2019 a Windows XP that wasn't being sold since 2008.

Regards

Re: ETS2 1.40 speculation thread

Posted: 01 Jan 2021 08:26
by power10
if impossible dear scs when will be publish 1.40 ? I am waiting 1.40 because of old 1.39 still get tired of my eyes even I ve good monitor and pc. Just I ve request for all of public eye healty please share your 1.40 a few day more early please. Srry for my low english thanks ,regards.

Re: ETS2 1.40 speculation thread

Posted: 01 Jan 2021 08:34
by Scaniadriver1
@power10 jesus dude,some of us are sleeping or still celebrating here in austria and the rest of europe...give em a break.your update will come ;) ;)

Re: ETS2 1.40 speculation thread

Posted: 01 Jan 2021 10:35
by xyzan
He will also be one of first who will complain that all mods were broken - "fix them asap"

Re: ETS2 1.40 speculation thread

Posted: 01 Jan 2021 11:50
by xeviax
ETS2 1.40 EB/OB might come next month or later in my best guess, but not before that. So be patient @power10.

Re: ETS2 1.40 speculation thread

Posted: 01 Jan 2021 11:58
by Mohegan13
If I was mean, I would totally boot anyone who asks for mod updates anywhere within the Public Beta window. But I don't think SCS would approve of that. 🤣

Re: ETS2 1.40 speculation thread

Posted: 01 Jan 2021 11:59
by xXCARL1992Xx
create a new user group that isnt allowed to post in the mod section and move them in there, you dont ban anyone and the still can interact in the forum, just not in the mod section :joy: